KPAT
6
January 24, 2002
kde-games
KDE User's Manual

# &kappname;

A highly addictive &kde; card game.

    kpat
    Qt-option
    KDE-option

## DESCRIPTION

&kpat; is a compendium of several well known patience card games, ranging from the well known Klondike and Freecell, to lesser known games such as Grandfather's Clock and Mod3. In all there are 13 variations for you to while away time.

## OPTIONS

This program follows the usual GNU command line syntax, with long options starting with two dashes (`--'). A summary of the options supported by `kpat` is included below.

### Generic Options

`--author`

  Show author information

--help

  Show help about options

`--help-qt`

  Show Qt specific options

`--help-kde`

  Show &kde; specific options

`--help-all`

  Show all options

`--license`

  Show license information

`-v`, `--version`

  Show version information and exit.

### Qt Options

`--display displayname`

  Use the X-server display displayname.

`--session sessionId`

  Restore the application for the given sessionId.

`--cmap`

  Causes the application to install a private color map on an 8-bit display.

`--ncols count`

  Limits the number of colors allocated in the color cube on a 8-bit display, if the application is using the `QApplication::ManyColor` color specification.

`--nograb`

  tells Qt to never grab the mouse or the keyboard.

`--dograb`

  running under a debugger can cause an implicit `-nograb`, use `-dograb` to override.

`--sync`

  switches to synchronous mode for debugging.

`--fn`, `--font fontname`

  defines the application font.

`--bg`, `--background color`

  sets the default background color and an application palette (light and dark shades are calculated).

`--fg`,`--foreground color`

  sets the default foreground color.

`--btn`, `--button color`

  sets the default button color.

`--name name`

  sets the application name.

`--title title`

  sets the application title (caption).

`--visual TrueColor`

  forces the application to use a TrueColor visual on an 8-bit display.

`--inputstyle`

  sets XIM (X Input Method) input style. Possible values are onthespot, overthespot, offthespot and root.

`--im XIM server`

  set XIM server.

`--noxim`

  disable XIM.

### KDE Options

`--caption caption`

  Use caption as name in the titlebar.

`--icon icon`

  Use icon as the application icon.

`--miniicon icon`

  Use icon as the icon in the titlebar.

`--dcopserver server`

  Use the DCOP Server specified by server.

`--nocrashhandler`

  Disable crash handler, to get core dumps.

`--waitforwm`

  Waits for a WM_NET compatible windowmanager.

`--style style`

  sets the application &GUI; style.

`--geometry geometry`

  sets the client geometry of the main widget.

## SEE ALSO

&kpat; is documented in detail in The &kpat; Handbook (`$`KDEDIR`share/doc/HTML/en/kpat/index.html` or enter `help://kpat/index.html` in &konqueror;).

&kde-http;

## AUTHOR

&kpat; is by:

- Paul Olav Tvete
- Mario Weilguni mweilguni@kde.org
- Matthias Ettrich ettrich@kde.org
- Rodolfo Borges barrett@labma.ufrj.br
- Peter H. Ruegg kpat@incense.org
- Michael Koch koch@kde.org
- Marcus Meissner mm@caldera.de
- Shlomi Fish shlomif@vipe.technion.ac.il
- Stephan Kulow coolo@kde.org